using FluentValidation;
using IWS5.Core.DTO.IAdmin.Schedules;

namespace IWS5.Services.Validators.IAdmin.Schedule;

public class ScheduleTaskRouteValidator : AbstractValidator<ScheduleTaskRouteDTO>
{
    public ScheduleTaskRouteValidator()
    {
        RuleFor(x => x.ScheduleId)
            .GreaterThan(0).WithMessage("Invalid scheduleId.");

        RuleFor(x => x.TaskId)
            .GreaterThan(0).WithMessage("Invalid taskId.");
    }
}
